Modify

Opened 4 years ago

Closed 4 years ago

#12778 closed defect (fixed)

NoSuchMethodError while clicking in EditGPX layer

Reported by: toni.oliv@… Owned by:
Priority: major Milestone:
Component: Plugin editgpx Version:
Keywords: template_report Cc: naoliv

Description

While trying to click at the EditGPX layer (to try to edit the GPX):

URL:http://josm.openstreetmap.de/svn/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2016-04-21 09:19:56 +0200 (Thu, 21 Apr 2016)
Build-Date:2016-04-22 01:32:19
Revision:10153
Relative:URL: ^/trunk

Identification: JOSM/1.5 (10153 pt_BR) Windows 10 64-Bit
Memory Usage: 132 MB / 989 MB (26 MB allocated, but free)
Java version: 1.8.0_77-b03, Oracle Corporation, Java HotSpot(TM) Client VM
Program arguments: [C:\Users\Toni\Desktop\Pasta\Nova pasta\OSM\GPX\Poços\2016-04-23_12-54-38.gpx]
Dataset consistency test: No problems found

Plugins:
- editgpx (31772)
- measurement (31895)
- turnrestrictions (31895)
- utilsplugin2 (32099)

Map paint styles:
- https://josm.openstreetmap.de/josmfile?page=Styles/Noname&zip=1

Last errors/warnings:
- E: java.lang.NoSuchMethodError: org.openstreetmap.josm.gui.dialogs.LayerListDialog.createShowHideLayerAction()Lorg/openstreetmap/josm/gui/dialogs/LayerListDialog$ShowHideLayerAction;
- E: java.lang.NoSuchMethodError: org.openstreetmap.josm.gui.dialogs.LayerListDialog.createShowHideLayerAction()Lorg/openstreetmap/josm/gui/dialogs/LayerListDialog$ShowHideLayerAction;

java.lang.NoSuchMethodError: org.openstreetmap.josm.gui.dialogs.LayerListDialog.createShowHideLayerAction()Lorg/openstreetmap/josm/gui/dialogs/LayerListDialog$ShowHideLayerAction;
	at org.openstreetmap.josm.plugins.editgpx.EditGpxLayer.getMenuEntries(EditGpxLayer.java:72)
	at org.openstreetmap.josm.gui.dialogs.LayerListPopup.<init>(LayerListPopup.java:77)
	at org.openstreetmap.josm.gui.dialogs.LayerListDialog$PopupMenuHandler.showMenu(LayerListDialog.java:576)
	at org.openstreetmap.josm.gui.widgets.PopupMenuLauncher$1.focusGained(PopupMenuLauncher.java:103)
	at java.awt.AWTEventMulticaster.focusGained(Unknown Source)
	at java.awt.Component.processFocusEvent(Unknown Source)
	at java.awt.Component.processEvent(Unknown Source)
	at java.awt.Container.processEvent(Unknown Source)
	at java.awt.Component.dispatchEventImpl(Unknown Source)
	at java.awt.Container.dispatchEventImpl(Unknown Source)
	at java.awt.Component.dispatchEvent(Unknown Source)
	at java.awt.KeyboardFocusManager.redispatchEvent(Unknown Source)
	at java.awt.DefaultKeyboardFocusManager.typeAheadAssertions(Unknown Source)
	at java.awt.DefaultKeyboardFocusManager.dispatchEvent(Unknown Source)
	at java.awt.Component.dispatchEventImpl(Unknown Source)
	at java.awt.Container.dispatchEventImpl(Unknown Source)
	at java.awt.Component.dispatchEvent(Unknown Source)
	at java.awt.EventQueue.dispatchEventImpl(Unknown Source)
	at java.awt.EventQueue.access$500(Unknown Source)
	at java.awt.EventQueue$3.run(Unknown Source)
	at java.awt.EventQueue$3.run(Unknown Source)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(Unknown Source)
	at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(Unknown Source)
	at java.awt.EventQueue$4.run(Unknown Source)
	at java.awt.EventQueue$4.run(Unknown Source)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(Unknown Source)
	at java.awt.EventQueue.dispatchEvent(Unknown Source)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(Unknown Source)
	at java.awt.EventDispatchThread.pumpEventsForFilter(Unknown Source)
	at java.awt.EventDispatchThread.pumpEventsForFilter(Unknown Source)
	at java.awt.WaitDispatchSupport$2.run(Unknown Source)
	at java.awt.WaitDispatchSupport$4.run(Unknown Source)
	at java.awt.WaitDispatchSupport$4.run(Unknown Source)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.awt.WaitDispatchSupport.enter(Unknown Source)
	at java.awt.Dialog.show(Unknown Source)
	at java.awt.Component.show(Unknown Source)
	at java.awt.Component.setVisible(Unknown Source)
	at java.awt.Window.setVisible(Unknown Source)
	at java.awt.Dialog.setVisible(Unknown Source)
	at org.openstreetmap.josm.gui.ExtendedDialog.setVisible(ExtendedDialog.java:502)
	at org.openstreetmap.josm.gui.ExtendedDialog.showDialog(ExtendedDialog.java:289)
	at org.openstreetmap.josm.tools.bugreport.BugReportExceptionHandler$BugReporterThread.askForBugReport(BugReportExceptionHandler.java:127)
	at org.openstreetmap.josm.tools.bugreport.BugReportExceptionHandler$BugReporterThread$BugReporterWorker.run(BugReportExceptionHandler.java:60)
	at java.awt.event.InvocationEvent.dispatch(Unknown Source)
	at java.awt.EventQueue.dispatchEventImpl(Unknown Source)
	at java.awt.EventQueue.access$500(Unknown Source)
	at java.awt.EventQueue$3.run(Unknown Source)
	at java.awt.EventQueue$3.run(Unknown Source)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(Unknown Source)
	at java.awt.EventQueue.dispatchEvent(Unknown Source)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(Unknown Source)
	at java.awt.EventDispatchThread.pumpEventsForFilter(Unknown Source)
	at java.awt.EventDispatchThread.pumpEventsForHierarchy(Unknown Source)
	at java.awt.EventDispatchThread.pumpEvents(Unknown Source)
	at java.awt.EventDispatchThread.pumpEvents(Unknown Source)
	at java.awt.EventDispatchThread.run(Unknown Source)

Attachments (1)

2016-04-23_11-20-55.gpx (345.5 KB) - added by naoliv 4 years ago.

Download all attachments as: .zip

Change History (5)

comment:1 Changed 4 years ago by Don-vip

Resolution: fixed
Status: newclosed

Fixed in [o32148:32149].

comment:2 Changed 4 years ago by toni.oliv@…

It's still happening:

URL:http://josm.openstreetmap.de/svn/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2016-04-23 11:25:02 +0200 (Sat, 23 Apr 2016)
Build-Date:2016-04-24 01:33:10
Revision:10154
Relative:URL: ^/trunk

Identification: JOSM/1.5 (10154 pt_BR) Windows 10 64-Bit
Memory Usage: 131 MB / 989 MB (49 MB allocated, but free)
Java version: 1.8.0_77-b03, Oracle Corporation, Java HotSpot(TM) Client VM
Dataset consistency test: No problems found

Plugins:
- editgpx (32148)
- measurement (31895)
- turnrestrictions (31895)
- utilsplugin2 (32099)

Map paint styles:
- https://josm.openstreetmap.de/josmfile?page=Styles/Noname&zip=1

Last errors/warnings:
- E: java.lang.NoSuchMethodError: org.openstreetmap.josm.gui.dialogs.LayerListDialog.createShowHideLayerAction()Lorg/openstreetmap/josm/gui/dialogs/LayerListDialog$ShowHideLayerAction;

java.lang.NoSuchMethodError: org.openstreetmap.josm.gui.dialogs.LayerListDialog.createShowHideLayerAction()Lorg/openstreetmap/josm/gui/dialogs/LayerListDialog$ShowHideLayerAction;
	at org.openstreetmap.josm.plugins.editgpx.EditGpxLayer.getMenuEntries(EditGpxLayer.java:72)
	at org.openstreetmap.josm.gui.dialogs.LayerListPopup.<init>(LayerListPopup.java:77)
	at org.openstreetmap.josm.gui.dialogs.LayerListDialog$PopupMenuHandler.showMenu(LayerListDialog.java:576)
	at org.openstreetmap.josm.gui.widgets.PopupMenuLauncher.checkFocusAndShowMenu(PopupMenuLauncher.java:108)
	at org.openstreetmap.josm.gui.widgets.PopupMenuLauncher.launch(PopupMenuLauncher.java:79)
	at org.openstreetmap.josm.gui.widgets.PopupMenuLauncher.processEvent(PopupMenuLauncher.java:66)
	at org.openstreetmap.josm.gui.widgets.PopupMenuLauncher.mouseReleased(PopupMenuLauncher.java:61)
	at java.awt.AWTEventMulticaster.mouseReleased(Unknown Source)
	at java.awt.Component.processMouseEvent(Unknown Source)
	at javax.swing.JComponent.processMouseEvent(Unknown Source)
	at java.awt.Component.processEvent(Unknown Source)
	at java.awt.Container.processEvent(Unknown Source)
	at java.awt.Component.dispatchEventImpl(Unknown Source)
	at java.awt.Container.dispatchEventImpl(Unknown Source)
	at java.awt.Component.dispatchEvent(Unknown Source)
	at java.awt.LightweightDispatcher.retargetMouseEvent(Unknown Source)
	at java.awt.LightweightDispatcher.processMouseEvent(Unknown Source)
	at java.awt.LightweightDispatcher.dispatchEvent(Unknown Source)
	at java.awt.Container.dispatchEventImpl(Unknown Source)
	at java.awt.Window.dispatchEventImpl(Unknown Source)
	at java.awt.Component.dispatchEvent(Unknown Source)
	at java.awt.EventQueue.dispatchEventImpl(Unknown Source)
	at java.awt.EventQueue.access$500(Unknown Source)
	at java.awt.EventQueue$3.run(Unknown Source)
	at java.awt.EventQueue$3.run(Unknown Source)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(Unknown Source)
	at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(Unknown Source)
	at java.awt.EventQueue$4.run(Unknown Source)
	at java.awt.EventQueue$4.run(Unknown Source)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(Unknown Source)
	at java.awt.EventQueue.dispatchEvent(Unknown Source)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(Unknown Source)
	at java.awt.EventDispatchThread.pumpEventsForFilter(Unknown Source)
	at java.awt.EventDispatchThread.pumpEventsForHierarchy(Unknown Source)
	at java.awt.EventDispatchThread.pumpEvents(Unknown Source)
	at java.awt.EventDispatchThread.pumpEvents(Unknown Source)
	at java.awt.EventDispatchThread.run(Unknown Source)

comment:3 Changed 4 years ago by naoliv

Resolution: fixed
Status: closedreopened

Reproducible with the attached GPX file.

Changed 4 years ago by naoliv

Attachment: 2016-04-23_11-20-55.gpx added

comment:4 Changed 4 years ago by Don-vip

Resolution: fixed
Status: reopenedclosed

Should be fixed now.

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The ticket will remain with no owner.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.